## AwnIcon AwnIcon |

## Functions

GtkWidget * | awn_icon_new ()
void | awn_icon_set_pos_type ()
GtkPositionType | awn_icon_get_pos_type ()
void | awn_icon_set_offset ()
gint | awn_icon_get_offset ()
void | awn_icon_set_effect ()
void | awn_icon_set_from_pixbuf ()
void | awn_icon_set_from_context ()
void | awn_icon_set_from_surface ()
void | awn_icon_set_custom_paint ()
AwnTooltip * | awn_icon_get_tooltip ()
void | awn_icon_set_tooltip_text ()
gchar * | awn_icon_get_tooltip_text ()
void | awn_icon_set_is_active ()
gboolean | awn_icon_get_is_active ()
void | awn_icon_set_indicator_count ()
gint | awn_icon_get_indicator_count ()
gboolean | awn_icon_get_hover_effects ()
void | awn_icon_set_hover_effects ()
GdkRegion * | awn_icon_get_input_mask ()
void | awn_icon_clicked ()
void | awn_icon_middle_clicked ()
void | awn_icon_popup_gtk_menu ()

## Properties

gboolean | bind-effects | Read / Write / Construct Only
gint | icon-height | Read / Write
gint | icon-width | Read / Write
gint | long-press-timeout | Read / Write / Construct

## Signals

void | clicked | Action
void | context-menu-popup | Action
void | long-press | Action
void | middle-clicked | Action
void | size-changed | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ╰── AwnIcon
                            ╰── AwnThemedIcon

## Description

## Functions

### awn_icon_new ()

    GtkWidget *
    awn_icon_new (void);

### awn_icon_set_pos_type ()

    void
    awn_icon_set_pos_type (AwnIcon *icon,
                           GtkPositionType position);

### awn_icon_get_pos_type ()

    GtkPositionType
    awn_icon_get_pos_type (AwnIcon *icon);

### awn_icon_set_offset ()

    void
    awn_icon_set_offset (AwnIcon *icon,
                         gint offset);

### awn_icon_get_offset ()

    gint
    awn_icon_get_offset (AwnIcon *icon);

### awn_icon_set_effect ()

    void
    awn_icon_set_effect (AwnIcon *icon,
                         AwnEffect effect);

### awn_icon_set_from_pixbuf ()

    void
    awn_icon_set_from_pixbuf (AwnIcon *icon,
                              GdkPixbuf *pixbuf);

### awn_icon_set_from_context ()

    void
    awn_icon_set_from_context (AwnIcon *icon,
                               cairo_t *ctx);

### awn_icon_set_from_surface ()

    void
    awn_icon_set_from_surface (AwnIcon *icon,
                               cairo_surface_t *surface);

### awn_icon_set_custom_paint ()

    void
    awn_icon_set_custom_paint (AwnIcon *icon,
                               gint width,
                               gint height);

### awn_icon_get_tooltip ()

    AwnTooltip *
    awn_icon_get_tooltip (AwnIcon *icon);

### awn_icon_set_tooltip_text ()

    void
    awn_icon_set_tooltip_text (AwnIcon *icon,
                               const gchar *text);

### awn_icon_get_tooltip_text ()

    gchar *
    awn_icon_get_tooltip_text (AwnIcon *icon);

### awn_icon_set_is_active ()

    void
    awn_icon_set_is_active (AwnIcon *icon,
                            gboolean is_active);

### awn_icon_get_is_active ()

    gboolean
    awn_icon_get_is_active (AwnIcon *icon);

### awn_icon_set_indicator_count ()

    void
    awn_icon_set_indicator_count (AwnIcon *icon,
                                  gint count);

### awn_icon_get_indicator_count ()

    gint
    awn_icon_get_indicator_count (AwnIcon *icon);

### awn_icon_get_hover_effects ()

    gboolean
    awn_icon_get_hover_effects (AwnIcon *icon);

### awn_icon_set_hover_effects ()

    void
    awn_icon_set_hover_effects (AwnIcon *icon,
                                gboolean enable);

### awn_icon_get_input_mask ()

    GdkRegion *
    awn_icon_get_input_mask (AwnIcon *icon);

### awn_icon_clicked ()

    void
    awn_icon_clicked (AwnIcon *icon);

### awn_icon_middle_clicked ()

    void
    awn_icon_middle_clicked (AwnIcon *icon);

### awn_icon_popup_gtk_menu ()

    void
    awn_icon_popup_gtk_menu (AwnIcon *icon,
                             GtkWidget *menu,
                             guint button,
                             guint32 activate_time);

## Types and Values

## Property Details

### The `“bind-effects”` property

      “bind-effects”             gboolean

If set to true, will load and bind effect property values from config client.

Flags: Read / Write / Construct Only

Default value: TRUE

### The `“icon-height”` property

      “icon-height”              gint

Current icon height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“icon-width”` property

      “icon-width”               gint

Current icon width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“long-press-timeout”` property

      “long-press-timeout”       gint

Timeout after which long-press signal is emit.

Flags: Read / Write / Construct

Allowed values: [250,10000]

Default value: 750

## Signal Details

### The `“clicked”` signal

    void
    user_function (AwnIcon *awnicon,
                   gpointer user_data)

Flags: Action

### The `“context-menu-popup”` signal

    void
    user_function (AwnIcon  *awnicon,
                   GdkEvent *arg1,
                   gpointer  user_data)

Flags: Action

### The `“long-press”` signal

    void
    user_function (AwnIcon *awnicon,
                   gpointer user_data)

Flags: Action

### The `“middle-clicked”` signal

    void
    user_function (AwnIcon *awnicon,
                   gpointer user_data)

Flags: Action

### The `“size-changed”` signal

    void
    user_function (AwnIcon *awnicon,
                   gpointer user_data)

Flags: Run First